org.eclipse.emf.cdo.view

## Interface CDOViewDurabilityChangedEvent

- All Superinterfaces:
    CDOViewEvent, IEvent

      public interface CDOViewDurabilityChangedEvent
      extends CDOViewEvent

  A `view event` fired when a `view` has been made `durable` or volatile.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNewDurableLockingID()`
    `String` | `getOldDurableLockingID()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getOldDurableLockingID

          String getOldDurableLockingID()

    - #### getNewDurableLockingID

          String getNewDurableLockingID()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html